#ifndef FUSEACTIONS_H
#define FUSEACTIONS_H

#include "fuse.h"

#define FSSIZE 10000000

extern unsigned char* tempfs;

void MapFS(int fd);
void UnmapFS(void);
void FormatFS(FileSystem* fs);
void LoadFS(FileSystem** fs);
void ListFS(FileSystem* fs);
void _RecursivePrintFS_(FileSystem* fs, ino_t inodePosition);
int FindNextDirectory(char* fname);
void AddFileToFS(FileSystem* fs, char* fname);
void _RecursiveAddFS_(FileSystem* fs, char* fname);
void RemoveFileFromFS(FileSystem* fs, char* fname);
void ExtractFileFromFS(FileSystem* fs, char* fname);

#endif
